package com.bizmatics.persistence.mapper;

import com.bizmatics.model.RtSwitchData;
import com.bizmatics.common.mvc.base.CrudMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface RtSwitchDataMapper extends CrudMapper<RtSwitchData> {


    Map<String,Object> getOneMap(@Param("siteId") Integer siteId);

    Map<String,Object> getLoopStatusMap(@Param("siteId") Integer siteId);

    Integer getOffCountDMap(@Param("siteId") Integer siteId);

    Integer getOffCountMMap(@Param("siteId") Integer siteId);

}
